## glance 2013.2.3

=== requirements.txt ===
pbr>=0.5.21,<1.0
#
# The greenlet package must be compiled with gcc and needs
# the Python.h headers. Make sure you install the python-dev
# package to get the right headers...
greenlet>=0.3.2

# < 0.8.0/0.8 does not work, see https://bugs.launchpad.net/bugs/1153983
SQLAlchemy>=0.7.8,<=0.7.99
anyjson>=0.3.3
eventlet>=0.13.0
PasteDeploy>=1.5.0
Routes>=1.12.3
WebOb>=1.2.3,<1.3
wsgiref>=0.1.2
argparse
boto>=2.4.0,!=2.13.0
sqlalchemy-migrate>=0.7.2
httplib2
kombu>=2.4.8
pycrypto>=2.6
iso8601>=0.1.8
oslo.config>=1.2.0

# For Swift storage backend.
python-swiftclient>=1.5,<2.0.0

# Note you will need gcc buildtools installed and must
# have installed libxml headers for lxml to be successfully
# installed using pip, therefore you will need to install the
# libxml2-dev and libxslt-dev Ubuntu packages.
lxml>=2.3

# For paste.util.template used in keystone.common.template
Paste

passlib
jsonschema>=1.3.0,!=1.4.0
python-cinderclient>=1.0.6
python-keystoneclient>=0.3.2
pyOpenSSL>=0.11

# Required by openstack.common libraries
six>=1.4.1

=== debian/changelog ===
glance (1:2013.2.3-0ubuntu1.1~cloud0) precise-havana; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 06 May 2014 04:05:50 -0400

glance (1:2013.2.3-0ubuntu1.1) saucy-security; urgency=medium

  * SECURITY UPDATE: No change rebuild for security to fix CVE-2014-0162
    (13069a4)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 05 May 2014 12:12:54 -0500

glance (1:2013.2.3-0ubuntu1) saucy-proposed; urgency=medium

  * Resynchronize with stable/havana (1690a73) (LP: #1302575):
    - [1690a73] Raise max header size to accommodate large tokens
    - [19b8fbb] Prevent E500 when delayed delete is enabled
    - [33d1840] Glance image-list failed when image number exceed DEFAULT_PAGE_SIZE
    - [13069a4] To prevent remote code injection on Sheepdog store
  * debian/patches/revert-stable-havana-requirements.patch: Refreshed.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 04 Apr 2014 10:09:55 -0400

glance (1:2013.2.2-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (9d89b8e) (LP: #1284643):
    - [1a9e0e9] protected property change not rejected if a subsequent rule
      match accepts them LP: 1271426
    - [1982ca2] Openstack Glance: user_total_quota calculated incorrectly
      LP: 1261738
    - [edcbdf9] sensitive info in image location is logged when authentication
      to single tenant swift store fails LP: 1275062

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Feb 2014 09:07:05 -0500

glance (1:2013.2.1-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (949cda0) (LP: #1262788):
    - [252fe85] Open stable/havana
    - [e20b2af] Qpid protocol configuration is wrong LP: 1243821
    - [0f66c54] Error message encoding issue when using qpid LP: 1242734
    - [5b8f18b] Wrong parameter in the config file s/qpid_host/qpid_hostname/
      LP: 1242715
    - [9b52a89] Jenkins failed due to
      TestGlanceAPI.test_get_details_filter_changes_since LP: 1242501
    - [949cda0] Updated from global requirements
    - [5cd7a22] Bump stable/havana next version to 2013.2.2
    - [949cda0] Updated from global requirements
  * d/p/debian/patches/revert_upstream_iso8601_fixes.patch: Reverts
    patch that was committed to allow tests to pass in upstreams
    gate using a newer version of python-iso8601.  Ubuntu's version
    is stable, the patch unncessary and causes failures.
  * debian/patches/revert-stable-havana-requirements.patch: Revert
    version bumps to dependencies in stable/havana back to what was
    shipped with Saucy.

 -- Adam Gandelman <adamg@ubuntu.com>  Thu, 12 Dec 2013 12:52:40 -0800

=== debian/control ===
Source: glance
Section: net
Priority: extra
Maintainer: Ubuntu OpenStack <openstack-packaging@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50), python-all (>= 2.6), sqlite3
Build-Depends-Indep:
 curl,
 python-anyjson (>= 0.3.3),
 python-boto (>= 2.4.0),
 python-cinderclient (>= 1:1.0.4),
 python-crypto (>= 2.6),
 python-eventlet (>= 0.13.0),
 python-fixtures (>= 0.3.12),
 python-greenlet (>= 0.3.2),
 python-httplib2,
 python-iso8601,
 python-jsonschema (>= 1.3.0),
 python-keystoneclient (>= 1:0.3.0),
 python-kombu (>= 2.4.8),
 python-lxml (>= 2.3),
 python-migrate,
 python-mox,
 python-nose,
 python-openssl,
 python-oslo.config (>= 1:1.2.0),
 python-oslo.sphinx,
 python-passlib,
 python-paste,
 python-pastedeploy,
 python-pbr (>= 0.5.21),
 python-requests (>= 1.1),
 python-routes,
 python-six,
 python-setuptools,
 python-sphinx,
 python-sqlalchemy-ext | python-sqlalchemy (>= 0.8.2),
 python-swiftclient (>= 1:1.2),
 python-testtools (>= 0.9.32),
 python-webob (>= 1.2.3),
 python-xattr
Standards-Version: 3.9.4
XS-Python-Version: >= 2.6
Homepage: http://launchpad.net/glance
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/glance/havana/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/glance/havana
XS-Testsuite: autopkgtest

Package: python-glance
Architecture: all
Section: python
Depends:
 python-anyjson (>= 0.3.3),
 python-boto (>= 2.4.0),
 python-cinderclient (>= 1:1.0.4),
 python-crypto (>= 2.6),
 python-eventlet (>= 0.13.0),
 python-greenlet (>= 0.3.2),
 python-httplib2,
 python-iso8601,
 python-jsonschema (>= 1.3.0),
 python-keystoneclient (>= 1:0.3.0),
 python-kombu (>= 2.4.8),
 python-lxml (>= 2.3),
 python-migrate,
 python-openssl,
 python-oslo.config (>= 1:1.2.0a3),
 python-passlib,
 python-paste,
 python-pastedeploy,
 python-routes,
 python-six,
 python-sqlalchemy-ext | python-sqlalchemy (>= 0.8.2),
 python-swiftclient (>= 1:1.2),
 python-webob (>= 1.2.3),
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: OpenStack Image Registry and Delivery Service - Python library
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

Package: glance
Architecture: all
Section: python
Depends:
 glance-api (= ${source:Version}),
 glance-registry (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Suggests: python-ceph
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package is a metapackage for all glance daemons.

Package: python-glance-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides an image registration and discovery service
 (Parallax) and an image delivery service (Teller). These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: glance-common
Architecture: all
Section: python
Depends:
 adduser,
 python-glance (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Breaks: glance ( <= 2011.3-0ubuntu4.1 )
Replaces: glance ( <= 2011.3-0ubuntu4.1  )
Description: OpenStack Image Registry and Delivery Service - Common
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance common.

Package: glance-api
Architecture: all
Section: python
Replaces: glance (<< 2012.1~e1~20110919.1021-0ubuntu2)
Depends: glance-common (= ${source:Version}), ${misc:Depends}, ${python:Depends}
Recommends: python-glanceclient
Description: OpenStack Image Registry and Delivery Service - API
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance API server.

Package: glance-registry
Architecture: all
Section: python
Replaces: glance (<< 2012.1~e1~20110919.1021-0ubuntu2)
Depends: glance-common (= ${source:Version}), ${misc:Depends}, ${python:Depends}
Recommends: python-glanceclient
Description: OpenStack Image Registry and Delivery Service - Registry
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance registry server.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --with python2

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_install:
	dh_install --fail-missing

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -N -P
endif

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir doc/build
	python setup.py build_sphinx
else
	mkdir -p doc/build/html
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build
	rm -rf glance.sqlite

override_dh_installinit:
	dh_installinit --name glance-api
	dh_installinit --name glance-registry

## glance 2014.1

=== requirements.txt ===
pbr>=0.6,<1.0
#
# The greenlet package must be compiled with gcc and needs
# the Python.h headers. Make sure you install the python-dev
# package to get the right headers...
greenlet>=0.3.2

# < 0.8.0/0.8 does not work, see https://bugs.launchpad.net/bugs/1153983
SQLAlchemy>=0.7.8,<=0.9.99
anyjson>=0.3.3
eventlet>=0.13.0
PasteDeploy>=1.5.0
Routes>=1.12.3
WebOb>=1.2.3
argparse
boto>=2.12.0,!=2.13.0
sqlalchemy-migrate>=0.8.2,!=0.8.4
httplib2>=0.7.5
kombu>=2.4.8
pycrypto>=2.6
iso8601>=0.1.9
ordereddict
oslo.config>=1.2.0
stevedore>=0.14

# For Swift storage backend.
python-swiftclient>=1.6

# For VMware storage backed.
oslo.vmware>=0.2                        # Apache-2.0

# For paste.util.template used in keystone.common.template
Paste

jsonschema>=2.0.0,<3.0.0
python-cinderclient>=1.0.6
python-keystoneclient>=0.7.0
pyOpenSSL>=0.11

# Required by openstack.common libraries
six>=1.5.2

oslo.messaging>=1.3.0a9

=== debian/control ===
--- 
+++ 
@@ -20,16 +20,19 @@
  python-lxml (>= 2.3),
  python-migrate,
  python-mox,
- python-nose,
  python-openssl,
  python-oslo.config (>= 1:1.2.0),
- python-oslo.sphinx,
+ python-oslosphinx,
+ python-oslo.messaging,
+ python-oslo.vmware,
  python-passlib,
  python-paste,
  python-pastedeploy,
  python-pbr (>= 0.5.21),
+ python-psutil,
  python-requests (>= 1.1),
  python-routes,
+ python-suds,
  python-six,
  python-setuptools,
  python-sphinx,
@@ -37,12 +40,13 @@
  python-swiftclient (>= 1:1.2),
  python-testtools (>= 0.9.32),
  python-webob (>= 1.2.3),
- python-xattr
+ python-xattr,
+ testrepository
 Standards-Version: 3.9.4
 XS-Python-Version: >= 2.6
 Homepage: http://launchpad.net/glance
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/glance/havana/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/glance/havana
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/glance/icehouse/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/glance/icehouse
 XS-Testsuite: autopkgtest
 
 Package: python-glance

=== debian/tests/control ===
Tests: python-glance glance-daemons
Depends: python-glance, glance-api, glance-registry
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 https://launchpad.net/glance/+download https://launchpad.net/glance/.*/.*/.*/glance-(.*)\.tar\.gz

## glance 2014.1.2

=== debian/changelog ===
glance (2014.1.2-1) unstable; urgency=medium

  * New upstream release. 

 -- gustavo panizzo <gfa@zumbi.com.ar>  Fri, 08 Aug 2014 13:49:46 -0300

=== debian/control ===
Source: glance
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools (>= 12~),
               po-debconf,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-setuptools,
               python-sphinx (>= 1.1.2)
Build-Depends-Indep: curl,
                     procps,
                     python-anyjson (>= 0.3.3),
                     python-babel (>= 1.3),
                     python-boto (>= 2.12.0),
                     python-cinderclient (>= 1:1.0.6),
                     python-coverage (>= 3.6),
                     python-crypto,
                     python-eventlet (>= 0.13.0),
                     python-fixtures	 (>= 0.3.14),
                     python-glanceclient,
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.8.0),
                     python-httplib2 (>= 0.7.5),
                     python-iso8601 (>= 0.1.9),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneclient (>= 1:0.7.0),
                     python-kombu (>= 2.4.8),
                     python-lxml,
                     python-migrate (>= 0.8.2),
                     python-mock (>= 1.0),
                     python-mox,
                     python-mysqldb,
                     python-openssl,
                     python-oslo.config (>= 1.2.1),
                     python-oslo.messaging (>= 1.3.0~a9),
                     python-oslo.vmware,
                     python-oslosphinx,
                     python-passlib,
                     python-paste,
                     python-pastedeploy,
                     python-psutil (>= 1.1.1),
                     python-psycopg2,
                     python-qpid,
                     python-requests (>= 1.1),
                     python-routes,
                     python-sendfile (>= 2.0),
                     python-six (>= 1.6.0),
                     python-sqlalchemy (>= 0.7.8),
                     python-stevedore (>= 0.14),
                     python-subunit (>= 0.0.18),
                     python-swiftclient (>= 1:1.6),
                     python-testtools (>= 0.9.34),
                     python-webob (>= 1.2.3),
                     python-xattr,
                     sqlite3,
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.4
Homepage: http://glance.openstack.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/glance.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/glance.git

Package: python-glance
Architecture: all
Section: python
Pre-Depends: dpkg (>= 1.15.6~)
Depends: libxml2-dev,
         libxslt-dev,
         procps,
         python-anyjson (>= 0.3.3),
         python-boto (>= 2.12.0),
         python-cinderclient (>= 1:1.0.6),
         python-configobj,
         python-crypto,
         python-dateutil,
         python-eventlet (>= 0.13.0),
         python-greenlet (>= 0.3.2),
         python-httplib2 (>= 0.7.5),
         python-iso8601 (>= 0.1.9),
         python-jsonschema (>= 2.0.0),
         python-keystoneclient (>= 1:0.7.0),
         python-kombu (>= 2.4.8),
         python-lxml,
         python-migrate (>= 0.8.2),
         python-mysqldb,
         python-openssl,
         python-oslo.config (>= 1.2.1),
         python-oslo.messaging (>= 1.3.0~a9),
         python-passlib,
         python-paste,
         python-pastedeploy,
         python-pbr (>= 0.6),
         python-requests,
         python-routes,
         python-setuptools,
         python-six (>= 1.6.0),
         python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
         python-swiftclient (>= 1:1.6),
         python-webob (>= 1.2.3),
         python-xattr,
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: OpenStack Image Service - Python client library
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

Package: glance
Architecture: all
Section: python
Pre-Depends: dpkg (>= 1.15.6~)
Depends: glance-api (= ${source:Version}),
         glance-registry (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-ceph
Description: OpenStack Image Service - metapackage
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This is a dependency package to install all of the Glance suite.

Package: python-glance-doc
Architecture: all
Section: doc
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack Image Service - Python library documentation
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: glance-common
Architecture: all
Section: python
Breaks: glance (<< 2012.1~e2-3)
Replaces: glance (<< 2012.1~e2-3)
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dbconfig-common,
         debconf,
         python-glance (= ${source:Version}),
         python-glanceclient,
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Image Service - common files
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains common files for Glance.

Package: glance-api
Architecture: all
Section: python
Pre-Depends: adduser, dpkg (>= 1.15.6~)
Depends: debconf,
         glance-common (= ${source:Version}),
         python-keystoneclient,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack Image Service - API server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glance API server.

Package: glance-registry
Architecture: all
Section: python
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         glance-common (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack Image Service - registry server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glance registry server.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -P -N || true
	#nosetests || true
endif

override_dh_auto_build:
	dh_auto_build

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-api.postinst

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-glance-doc/usr/share/doc/python-glance-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source doc/build/man
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_auto_configure:
	echo $(VERSION) > glance/versioninfo
	dh_auto_configure


override_dh_auto_clean:
	echo $(VERSION) > glance/versioninfo
	# dh_auto_clean
	# debconf-updatepo
	find . -iname '*.pyc' -delete
	rm -rf glance.egg-info
	rm -rf doc/build
	rm -rf glance.sqlite
	rm -f glance/versioninfo
	rm -f debian/glance-common.config debian/glance-common.postinst

.PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_builddeb override_dh_installman override_dh_auto_build

## glance 2014.1.3

=== requirements.txt ===
--- 
+++ 
@@ -6,15 +6,15 @@
 greenlet>=0.3.2
 
 # < 0.8.0/0.8 does not work, see https://bugs.launchpad.net/bugs/1153983
-SQLAlchemy>=0.7.8,<=0.9.99
+SQLAlchemy>=0.7.8,!=0.9.5,<=0.9.99
 anyjson>=0.3.3
 eventlet>=0.13.0
 PasteDeploy>=1.5.0
-Routes>=1.12.3
+Routes>=1.12.3,!=2.0
 WebOb>=1.2.3
 argparse
 boto>=2.12.0,!=2.13.0
-sqlalchemy-migrate>=0.8.2,!=0.8.4
+sqlalchemy-migrate>=0.8.2,!=0.8.4,!=0.9.2
 httplib2>=0.7.5
 kombu>=2.4.8
 pycrypto>=2.6
@@ -38,6 +38,6 @@
 pyOpenSSL>=0.11
 
 # Required by openstack.common libraries
-six>=1.5.2
+six>=1.6.0
 
-oslo.messaging>=1.3.0a9
+oslo.messaging>=1.3.0

=== debian/changelog ===
glance (2014.1.3-12+deb8u1) jessie-proposed-updates; urgency=medium

  * CVE-2015-5251: Glance image status manipulation. Applied upstream patch
    after rebasing it from Juno to Icehouse (Closes: #799931).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Nov 2015 14:22:12 +0100

glance (2014.1.3-12) unstable; urgency=high

  * CVE-2014-9623: Glance user storage quota bypass. Applied upstream patch:
    Cleanup_chunks_for_deleted_image_that_was_saving_icehouse.patch
    (Closes: #776580).

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Jan 2015 16:21:39 +0100

glance (2014.1.3-11) unstable; urgency=high

  * CVE-2015-1195: fixes "Glance still allows users to download and delete any
    file in glance-api server" by applying upstream patch (Closes: #775926).

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Jan 2015 16:13:33 +0000

glance (2014.1.3-10) unstable; urgency=medium

  * Removed dbc_upgrade = true check before db_sync.

 -- Thomas Goirand <zigo@debian.org>  Fri, 09 Jan 2015 00:21:14 +0000

glance (2014.1.3-9) unstable; urgency=medium

  * Calls pkgos_dbc_postinst only if glance/configure_db is set to true (ie:
    only if user asked for db handling).
  * Sets glance/configure_db to false by default.

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Jan 2015 16:22:27 +0000

glance (2014.1.3-8) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools (>= 22~): starts daemons on first install.

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Jan 2015 15:51:51 +0000

glance (2014.1.3-7) unstable; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 21~) to ensure we have the
    sysv-rc fixes.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Jan 2015 21:57:15 +0000

glance (2014.1.3-6) unstable; urgency=high

  * Added restrict_client_download_and_delete_files_in_glance-api_juno.patch
    from upstream (Closes: #773836).
  * Build-depends on openstack-pkg-tools (>= 20~) to ensure we have the
    systemd fixes.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Dec 2014 17:28:05 +0800

glance (2014.1.3-5) unstable; urgency=medium

  * Fixed glance-api and glance-registry config file path.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Oct 2014 01:01:28 +0800

glance (2014.1.3-4) unstable; urgency=medium

  * Removed debian/*.init and debian/*.upstart.in from source.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Oct 2014 08:38:02 +0000

glance (2014.1.3-3) unstable; urgency=medium

  * Using templated init, upstart and systemd scripts from
    openstack-pkg-tools >= 13.
  * Removed all debian/*.logrotate, using only one in the -common package.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Oct 2014 13:18:01 +0800

glance (2014.1.3-2) unstable; urgency=medium

  * Mangling upstream rc and beta versions in watch file.
  * Updated nl.po thanks to Frans Spiesschaert (Closes: #764201).

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Oct 2014 14:25:51 +0800

glance (2014.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Oct 2014 20:43:52 +0800

glance (2014.1.2-3) unstable; urgency=medium

  * Re-upload with the right translation file (Closes: #762470).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2014 08:37:30 +0000

glance (2014.1.2-2) unstable; urgency=medium

  * Updated pt_BR.po thanks to Adriano Rafael Gomes (Closes: #762471).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2014 16:25:03 +0800

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: net
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Julien Danjou <acid@debian.org>,
-           Thomas Goirand <zigo@debian.org>,
-           Mehdi Abaakouk <sileht@sileht.net>
+Uploaders: Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 9),
-               openstack-pkg-tools (>= 12~),
+               dh-systemd,
+               openstack-pkg-tools (>= 22~),
                po-debconf,
                python-all (>= 2.6.6-3~),
                python-pbr (>= 0.6),
@@ -60,7 +59,7 @@
                      sqlite3,
                      subunit (>= 0.0.18),
                      testrepository (>= 0.0.18)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://glance.openstack.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/glance.git;a=summary
 Vcs-Git: git://anonscm.debian.org/openstack/glance.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
@@ -50,5 +50,6 @@
 	rm -rf glance.sqlite
 	rm -f glance/versioninfo
 	rm -f debian/glance-common.config debian/glance-common.postinst
+	rm -f debian/*.init debian/*.service debian/*.upstart
 
 .PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_builddeb override_dh_installman override_dh_auto_build

## glance 2014.1.5

=== requirements.txt ===
pbr>=0.6,<1.0
#
# The greenlet package must be compiled with gcc and needs
# the Python.h headers. Make sure you install the python-dev
# package to get the right headers...
greenlet>=0.3.2,<=0.4.5

# For VMware storage backed. Listed early to ensure its transitive eventlet
# dependency  on eventlet is satisifed.
oslo.vmware<0.6.0                       # Apache-2.0

# < 0.8.0/0.8 does not work, see https://bugs.launchpad.net/bugs/1153983
SQLAlchemy>=0.7.8,!=0.9.5,<=0.9.99
anyjson>=0.3.3,<=0.3.3
eventlet>=0.13.0,<0.16.0
PasteDeploy>=1.5.0,<=1.5.2
Routes>=1.12.3,!=2.0
WebOb>=1.2.3,<=1.4
argparse
boto>=2.12.0,!=2.13.0,<2.35.0
sqlalchemy-migrate>=0.8.2,!=0.8.4,<=0.9.1
httplib2>=0.7.5,<=0.9
kombu>=2.5.0,<=3.0.7
pycrypto>=2.6,<=2.6.1
iso8601>=0.1.9,<=0.1.10
ordereddict
oslo.config>=1.2.0,<1.5
stevedore>=0.14

# For Swift storage backend.
python-swiftclient>=1.6,<=2.3.1

# For paste.util.template used in keystone.common.template
Paste

jsonschema>=2.0.0,<3.0.0
python-cinderclient>=1.0.6,<=1.1.1
python-keystoneclient>=0.7.0,<0.12.0
pyOpenSSL>=0.11,<=0.14

# Required by openstack.common libraries
six>=1.6.0,<=1.9.0

oslo.messaging>=1.3.0,<1.5

=== debian/changelog ===
glance (1:2014.1.5-0ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: access restrictions bypass via status changing
    - debian/patches/CVE-2015-5251.patch: prevent image status being
      directly modified in glance/api/v1/__init__.py,
      glance/api/v1/images.py, glance/tests/functional/v1/test_api.py,
      glance/tests/integration/legacy_functional/test_v1_api.py,
      test-requirements.txt.
    - CVE-2015-5251
  * SECURITY UPDATE: storage quota bypass
    - debian/patches/CVE-2015-5286.patch: cleanup chunks for deleted image
      if token expired in glance/api/v1/upload_utils.py,
      glance/api/v2/image_data.py.
    - CVE-2015-5286
  * SECURITY UPDATE: image status manipulation through locations removal
    - debian/patches/CVE-2016-0757.patch: prevent user from removing last
      location of the image in glance/api/v2/images.py,
      glance/tests/functional/v2/test_images.py,
      glance/tests/unit/v2/test_images_resource.py.
    - CVE-2016-0757

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 25 Aug 2017 13:10:04 -0400

glance (1:2014.1.5-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (f66170d) (LP: #1467533):
    - [f66170d] Fix Icehouse RBD delete image on creation failure
  * d/p/fix-requirements.patch: Rebased

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 22 Jun 2015 10:12:40 -0400

glance (1:2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Mar 2015 08:54:37 -0400

glance (1:2014.1.4-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (81ea399) (LP: #1432608):
    - [f1260cc] Cleanup chunks for deleted image that was 'saving'
    - [7d3a1db] Prevent file, swift+config and filesystem schemes
    - [8bdb7ed] To prevent client use v2 patch api to handle file and swift location
    - [4b5cb74] Can not delete images if db deadlock occurs
    - [ef77c79] Move oslo.vmware higher in requirements.txt
    - [312e93e] Make rbd store's pool handling more universal
    - [81ea399] Do not log password in swift URLs in g-registry
  * d/p/fix-requirements.patch: Rebased

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Mar 2015 08:53:50 -0400

glance (1:2014.1.3-0ubuntu1) trusty; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (01ebe84) (LP: #1377136):
    - [f43b1c2] Block sqlalchemy-migrate 0.9.2
    - [d0453ae] Check on schemes not stores
    - [bba31d0] Fix collection order issues and unit test failures
    - [31a4d18] Enforce image_size_cap on v2 upload
    - [fcc9379] Fix image killed after deletion
    - [01ebe84] Set python hash seed to 0 in tox.ini

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Oct 2014 08:49:14 -0400

glance (1:2014.1.2-0ubuntu1) trusty; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (94383db) (LP: #1354159):
    - [5508653] Fix lazy translation UnicodeErrors
    - [94383db] Provide explicit image create value for test_image_paginate case
  * d/p/fix-requirements.patch: Refreshed.
  * d/p/skip-tests.patch: Dropped.
  * d/p/skip-tests-2.patch: Updated description.

  [ James Page ]
  * d/watch: Point to tarballs.openstack.org for release artifacts.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Aug 2014 17:09:28 -0400

glance (1:2014.1.1-0ubuntu2) trusty; urgency=medium

  * d/p/skip-tests-2.patch: Add patch to skip broken upstream tests.
    See https://bugs.launchpad.net/glance/+bug/1298918. 

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Jul 2014 17:09:32 -0400

glance (1:2014.1.1-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (cd1c30a) (LP: #1328134):
    - [19de115] Prevent creation of http images with invalid URIs
    - [e96a53a] Fixes installation of test-requirements
    - [cd1c30a] Updated from global requirements
  * d/p/fix-requirements.patch: Add patch to drop minimum version requirement
    for six.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 09 Jun 2014 14:55:05 -0400

=== debian/control ===
Source: glance
Section: net
Priority: extra
Maintainer: Ubuntu OpenStack <openstack-packaging@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50), python-all (>= 2.6), sqlite3
Build-Depends-Indep:
 curl,
 python-anyjson (>= 0.3.3),
 python-boto (>= 2.4.0),
 python-cinderclient (>= 1:1.0.4),
 python-crypto (>= 2.6),
 python-eventlet (>= 0.13.0),
 python-fixtures (>= 0.3.12),
 python-greenlet (>= 0.3.2),
 python-httplib2,
 python-iso8601,
 python-jsonschema (>= 1.3.0),
 python-keystoneclient (>= 1:0.3.0),
 python-kombu (>= 2.4.8),
 python-lxml (>= 2.3),
 python-migrate,
 python-mox,
 python-openssl,
 python-oslo.config (>= 1:1.2.0),
 python-oslosphinx,
 python-oslo.messaging,
 python-oslo.vmware,
 python-passlib,
 python-paste,
 python-pastedeploy,
 python-pbr (>= 0.5.21),
 python-psutil,
 python-requests (>= 1.1),
 python-routes,
 python-suds,
 python-six (>= 1.5.2),
 python-setuptools,
 python-sphinx,
 python-sqlalchemy-ext | python-sqlalchemy (>= 0.8.2),
 python-swiftclient (>= 1:1.2),
 python-testtools (>= 0.9.32),
 python-webob (>= 1.2.3),
 python-xattr,
 testrepository
Standards-Version: 3.9.4
XS-Python-Version: >= 2.6
Homepage: http://launchpad.net/glance
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/glance/icehouse/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/glance/icehouse
XS-Testsuite: autopkgtest

Package: python-glance
Architecture: all
Section: python
Depends:
 python-anyjson (>= 0.3.3),
 python-boto (>= 2.4.0),
 python-cinderclient (>= 1:1.0.4),
 python-crypto (>= 2.6),
 python-eventlet (>= 0.13.0),
 python-greenlet (>= 0.3.2),
 python-httplib2,
 python-iso8601,
 python-jsonschema (>= 1.3.0),
 python-keystoneclient (>= 1:0.3.0),
 python-kombu (>= 2.4.8),
 python-lxml (>= 2.3),
 python-migrate,
 python-openssl,
 python-oslo.config (>= 1:1.2.0a3),
 python-passlib,
 python-paste,
 python-pastedeploy,
 python-routes,
 python-six (>= 1.5.2),
 python-sqlalchemy-ext | python-sqlalchemy (>= 0.8.2),
 python-swiftclient (>= 1:1.2),
 python-webob (>= 1.2.3),
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: OpenStack Image Registry and Delivery Service - Python library
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

Package: glance
Architecture: all
Section: python
Depends:
 glance-api (= ${source:Version}),
 glance-registry (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Suggests: python-ceph
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package is a metapackage for all glance daemons.

Package: python-glance-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides an image registration and discovery service
 (Parallax) and an image delivery service (Teller). These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: glance-common
Architecture: all
Section: python
Depends:
 adduser,
 python-glance (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Breaks: glance ( <= 2011.3-0ubuntu4.1 )
Replaces: glance ( <= 2011.3-0ubuntu4.1  )
Description: OpenStack Image Registry and Delivery Service - Common
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance common.

Package: glance-api
Architecture: all
Section: python
Replaces: glance (<< 2012.1~e1~20110919.1021-0ubuntu2)
Depends: glance-common (= ${source:Version}), ${misc:Depends}, ${python:Depends}
Recommends: python-glanceclient
Description: OpenStack Image Registry and Delivery Service - API
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance API server.

Package: glance-registry
Architecture: all
Section: python
Replaces: glance (<< 2012.1~e1~20110919.1021-0ubuntu2)
Depends: glance-common (= ${source:Version}), ${misc:Depends}, ${python:Depends}
Recommends: python-glanceclient
Description: OpenStack Image Registry and Delivery Service - Registry
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance registry server.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --with python2

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_install:
	dh_install --fail-missing

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	testr init && testr run
endif

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p doc/build/man
	mkdir -p doc/build/html
	sphinx-build -b man doc/source doc/build/man
	sphinx-build -b html doc/source doc/build/html
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build
	rm -rf glance.sqlite

override_dh_installinit:
	dh_installinit --name glance-api
	dh_installinit --name glance-registry

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 http://tarballs.openstack.org/glance glance-(.*)\.tar\.gz

## glance 2014.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
#
# The greenlet package must be compiled with gcc and needs
# the Python.h headers. Make sure you install the python-dev
# package to get the right headers...
greenlet>=0.3.2

# < 0.8.0/0.8 does not work, see https://bugs.launchpad.net/bugs/1153983
SQLAlchemy>=0.8.4,<=0.8.99,>=0.9.7,<=0.9.99
anyjson>=0.3.3
eventlet>=0.15.1
PasteDeploy>=1.5.0
Routes>=1.12.3,!=2.0
WebOb>=1.2.3
argparse
boto>=2.32.1
sqlalchemy-migrate>=0.9.1,!=0.9.2
httplib2>=0.7.5
kombu>=2.5.0
pycrypto>=2.6
iso8601>=0.1.9
ordereddict
oslo.config>=1.4.0  # Apache-2.0
stevedore>=1.0.0  # Apache-2.0
netaddr>=0.7.12
keystonemiddleware>=1.0.0
WSME>=0.6
# For openstack/common/lockutils
posix_ipc

# For Swift storage backend.
python-swiftclient>=2.2.0

# For VMware storage backed.
oslo.vmware>=0.6.0                      # Apache-2.0

# For paste.util.template used in keystone.common.template
Paste

jsonschema>=2.0.0,<3.0.0
python-cinderclient>=1.1.0
python-keystoneclient>=0.10.0
pyOpenSSL>=0.11

# Required by openstack.common libraries
six>=1.7.0

oslo.db>=1.0.0  # Apache-2.0
oslo.i18n>=1.0.0  # Apache-2.0
oslo.messaging>=1.4.0

retrying>=1.2.2,!=1.3.0 # Apache-2.0
osprofiler>=0.3.0                       # Apache-2.0

# Glance Store
glance_store>=0.1.1                       # Apache-2.0

=== debian/control ===
--- 
+++ 
@@ -6,47 +6,58 @@
 Build-Depends-Indep:
  curl,
  python-anyjson (>= 0.3.3),
- python-boto (>= 2.4.0),
- python-cinderclient (>= 1:1.0.4),
+ python-boto (>= 2.12.0),
+ python-cinderclient (>= 1:1.0.8),
  python-crypto (>= 2.6),
  python-eventlet (>= 0.13.0),
  python-fixtures (>= 0.3.12),
+ python-glance-store (>= 0.1.1),
  python-greenlet (>= 0.3.2),
- python-httplib2,
- python-iso8601,
- python-jsonschema (>= 1.3.0),
- python-keystoneclient (>= 1:0.3.0),
+ python-httplib2 (>= 0.7.5),
+ python-iso8601 (>= 0.1.9),
+ python-jsonschema (>= 2.0.0),
+ python-keystoneclient (>= 1:0.9.0),
+ python-keystonemiddleware (>= 1.0.0),
  python-kombu (>= 2.4.8),
  python-lxml (>= 2.3),
- python-migrate,
+ python-migrate (>= 0.9.1),
  python-mox,
- python-openssl,
- python-oslo.config (>= 1:1.2.0),
+ python-netaddr (>= 0.7.6),
+ python-openssl (>= 0.11),
+ python-oslo.config (>= 1:1.2.1),
+ python-oslo.db,
+ python-oslo.i18n,
+ python-oslo.messaging (>= 1.3.0),
+ python-oslo.vmware (>= 0.6.0),
  python-oslosphinx,
- python-oslo.messaging,
- python-oslo.vmware,
+ python-osprofiler,
  python-passlib,
  python-paste,
- python-pastedeploy,
- python-pbr (>= 0.5.21),
+ python-pastedeploy (>= 1.5.0),
+ python-pbr (>= 0.6),
+ python-posix-ipc,
  python-psutil,
  python-requests (>= 1.1),
- python-routes,
- python-suds,
- python-six (>= 1.5.2),
+ python-retrying (>= 1.2.2),
+ python-routes (>= 1.12.3),
  python-setuptools,
+ python-six (>= 1.7.0),
  python-sphinx,
  python-sqlalchemy-ext | python-sqlalchemy (>= 0.8.2),
- python-swiftclient (>= 1:1.2),
+ python-stevedore (>= 1.0.0),
+ python-suds,
+ python-swiftclient (>= 1:2.1.0),
  python-testtools (>= 0.9.32),
  python-webob (>= 1.2.3),
+ python-wsme,
  python-xattr,
+ subunit,
  testrepository
 Standards-Version: 3.9.4
 XS-Python-Version: >= 2.6
 Homepage: http://launchpad.net/glance
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/glance/icehouse/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/glance/icehouse
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/glance/juno/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/glance/juno
 XS-Testsuite: autopkgtest
 
 Package: python-glance
@@ -54,27 +65,37 @@
 Section: python
 Depends:
  python-anyjson (>= 0.3.3),
- python-boto (>= 2.4.0),
- python-cinderclient (>= 1:1.0.4),
+ python-boto (>= 2.12.0),
+ python-cinderclient (>= 1:1.0.8),
  python-crypto (>= 2.6),
  python-eventlet (>= 0.13.0),
+ python-glance-store (>= 0.1.1),
  python-greenlet (>= 0.3.2),
- python-httplib2,
+ python-httplib2 (>= 0.7.5),
  python-iso8601,
+ python-iso8601 (>= 0.1.9),
  python-jsonschema (>= 1.3.0),
- python-keystoneclient (>= 1:0.3.0),
+ python-keystoneclient (>= 1:0.9.0),
+ python-keystonemiddleware (>= 1.0.0),
  python-kombu (>= 2.4.8),
  python-lxml (>= 2.3),
- python-migrate,
- python-openssl,
- python-oslo.config (>= 1:1.2.0a3),
+ python-migrate (>= 0.9.1),
+ python-netaddr (>= 0.7.6),
+ python-openssl (>= 0.11),
+ python-oslo.config (>= 1:1.2.1),
+ python-oslo.messaging (>= 1.3.0),
+ python-oslo.vmware (>= 0.6.0),
+ python-osprofiler,
  python-passlib,
  python-paste,
- python-pastedeploy,
- python-routes,
- python-six (>= 1.5.2),
+ python-pastedeploy (>= 1.5.0),
+ python-posix-ipc,
+ python-retrying (>= 1.2.2),
+ python-routes (>= 1.12.3),
+ python-six (>= 1.7.0),
  python-sqlalchemy-ext | python-sqlalchemy (>= 0.8.2),
- python-swiftclient (>= 1:1.2),
+ python-stevedore (>= 1.0.0),
+ python-swiftclient (>= 1:2.1.0),
  python-webob (>= 1.2.3),
  ${misc:Depends},
  ${python:Depends}
@@ -139,7 +160,10 @@
 Architecture: all
 Section: python
 Replaces: glance (<< 2012.1~e1~20110919.1021-0ubuntu2)
-Depends: glance-common (= ${source:Version}), ${misc:Depends}, ${python:Depends}
+Depends:
+ glance-common (= ${source:Version}),
+ ${misc:Depends},
+ ${python:Depends}
 Recommends: python-glanceclient
 Description: OpenStack Image Registry and Delivery Service - API
  The Glance project provides an image registration, discovery and
@@ -153,7 +177,10 @@
 Architecture: all
 Section: python
 Replaces: glance (<< 2012.1~e1~20110919.1021-0ubuntu2)
-Depends: glance-common (= ${source:Version}), ${misc:Depends}, ${python:Depends}
+Depends:
+ glance-common (= ${source:Version}),
+ ${misc:Depends},
+ ${python:Depends}
 Recommends: python-glanceclient
 Description: OpenStack Image Registry and Delivery Service - Registry
  The Glance project provides an image registration, discovery and

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,12 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	testr init && testr run
+	rm -rf .testrepository
+	testr init && \
+	set -e && \
+	TEMP_REZ=`mktemp -t` && \
+	testr run --subunit | tee $$TEMP_REZ | subunit2pyunit; \
+	rm -f $$TEMP_REZ
 endif
 
 override_dh_auto_build:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 http://tarballs.openstack.org/glance glance-(\d.*)\.tar\.gz
